# Copy a Drive file into the library

`POST /workspace/library/drive/pull` · Rivier · content

Copy a Drive file into the library.

- Scope: content:write
- Graphql: Mutation.contentLibraryDrivePull
- Sdk: content.library.drivePull
- Cli: content library drive pull

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "fileId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "name": {
      "type": "string",
      "maxLength": 300
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 60
      },
      "maxItems": 20
    }
  },
  "required": [
    "fileId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/library/drive/pull' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "fileId": "string"
}'
```
